Name:          apacheds-ldap-client
Version:       0.1
Release:       %mkrel 6
Summary:       ApacheDS LDAP Client API
License:       ASL 2.0
Group:         Development/Java
Url:           http://directory.apache.org/
# svn export http://svn.apache.org/repos/asf/directory/clients/ldap/tags/0.1/ apacheds-ldap-client-0.1
# tar czf apacheds-ldap-client-0.1-src-svn.tar.gz apacheds-ldap-client-0.1
Source0:       apacheds-ldap-client-0.1-src-svn.tar.gz
# apacheds-ldap-client package don't include the license file
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt
# use the apacheds shared ldap apis
Patch0:        apacheds-ldap-client-0.1-api-LdapConnection.patch

BuildRequires: java-devel
BuildRequires: directory-project

BuildRequires: apache-commons-pool
BuildRequires: apache-mina
BuildRequires: apacheds-shared

# test deps
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-surefire-provider-junit4

BuildArch:     noarch

%description
ApacheDS is an extensible and embeddable directory server
entirely written in Java, which has been certified LDAPv3
compatible by the Open Group. Besides LDAP it supports
Kerberos 5 and the Change Password Protocol. It has been
designed to introduce triggers, stored procedures, queues and
views to the world of LDAP which has lacked these rich
constructs. 

This package contains the ApacheDS LDAP Client API.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
# cleanup
find . -name "*.jar" -delete
find . -name "*.class" -delete

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_file :ldap-client-api apacheds/ldap-client-api
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt



%changelog
* Fri Jan 03 2014 dmorgan <dmorgan> 0.1-6.mga4
+ Revision: 564327
- Rebuild against fixed apache-mina

* Tue Oct 22 2013 umeabot <umeabot> 0.1-5.mga4
+ Revision: 545734
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 0.1-4.mga4
+ Revision: 501638
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 0.1-3.mga3
+ Revision: 345925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 0.1-2.mga3
+ Revision: 293283
- Clean spec file

* Mon Jun 25 2012 dmorgan <dmorgan> 0.1-1.mga3
+ Revision: 263577
- imported package apacheds-ldap-client


* Sun May 20 2012 gil cattaneo <puntogil@libero.it> 0.1-1
- initial rpm

